## export_eagle

Type: netlist.

### netlist export

Exports in the eagle single file netlist format with the following characteristics:

- illegal character in footprint (resulting in broken output): @
- illegal character in refdes, netname, pinnum (resulting in broken output): '

#### Attribute usage

For components the following attributes are used to construct file-format specified fields:

- component's display/footprint (fallback: footprint attribute)
- component's display/value (fallback: value attribute)
- when value is not present: component's display/device (fallback: device attribute)

No other/custom attributes exported.

#### Omit and DNP

The plugin will not export components and networks that have the display/omit attribute set.

The plugin will export objects that have the display/dnp attribute set. To get the DNP information passed on, use the export naming mechanism of a target plugin in the view.